# Method: projects.locations.instances.engineVersions.list

- [HTTP request](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineVersions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineVersions/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineVersions/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineVersions/list#body.request_body)
- [Response body](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineVersions/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineVersions/list#body.ListEngineVersionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineVersions/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineVersions/list#body.aspect_1)

Lists EngineVersions for given location.

### HTTP request

`GET https://financialservices.googleapis.com/v1/{parent=projects/*/locations/*/instances/*}/engineVersions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent of the EngineVersion is the Instance. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `financialservices.v1engineversions.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The number of resources to be included in the response. The response contains a nextPageToken, which can be used to retrieve the next page of resources. |
| `pageToken` | `string` Optional. In case of paginated results, this is the token that was returned in the previous ListEngineVersionsResponse. It should be copied here to retrieve the next page of resources. Empty will give the first page of ListEngineVersionsRequest, and the last page will return an empty pageToken. |
| `filter` | `string` Optional. Specify a filter to narrow search results. If empty or unset will default to "state!=DEPRECATED", to view deprecated versions use "state:\*" or any other filter. |
| `orderBy` | `string` Optional. Specify a field to use for ordering. |

### Request body

The request body must be empty.

### Response body

The response to a list call containing the list of engine versions.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "engineVersions": [ { object (`https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineVersions#EngineVersion`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `engineVersions[]` | ``object (`https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineVersions#EngineVersion`)`` List of EngineVersion resources |
| `nextPageToken` | `string` This token should be passed to the next EngineVersionsRequest to retrieve the next page of EngineVersions (empty indicates we are done). |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `financialservices.v1engineversions.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).